WordPress 4.3 Is Coming Soon. How Does This Affect Your Membership Site?

WordPress 4.3

There are currently over 60 million people powering their websites with WordPress.

You can be certain of one thing if you happen to be one of those people. There will be WordPress updates and there will be a lot of them.

Any system that grows to the size of WordPress will be subject to security updates and feature enhancements on a regular basis. This is a contributing factor to how WordPress has achieved their high level of success.

An automatic update feature was included back when WordPress 3.7 was released. This means when a stable release of WordPress is ready, it gets automatically pushed out to all sites running WordPress 3.7 or higher and updates the site to the new version.

This is a good thing in most cases. However, in some situations the automatic upgrade can create potential incompatibilities with other plugins or themes that may be running on the same site. It is up to the plugin or theme developers to fix the issue in order to correct the incompatibility.

The latest version of WordPress 4.3 is scheduled to be released on Tuesday, August 18, 2015.

There is one significant change in the upcoming version that will affect the majority of membership site owners. This change has to do with the way that WordPress deals with lost passwords and resetting a password.

Prior to this upcoming update, a user could use the Lost Password feature and the WordPress system would send an email that contained a link that could be used to reset the password. In the upcoming new version, the link to update the password will have an expiration.

This means the Lost Password link can only be used for a set amount of time. This is definitely a good idea and will add an additional layer of security.

However, this new feature will cause the Lost Password feature to not function with the majority of membership plugins until the plugin developers provide a fix for the incompatibility.

WishList Member has already fixed this issue in our current version (2.9) and we have also gone back and created an update for the last major numbered version (2.8) as well.

Anyone running the latest version of WishList Member 2.9 or 2.8 should not experience any issues with the Lost Password feature. You can check to see if you are running the latest version of WishList Member on your site’s WishList Member dashboard.

Note that if you are using WishList Member 2.7 or earlier there will be a problem with the Lost Password feature when your site is updated to WordPress 4.3

These older versions of WishList Member are over four years old and have reached their end of life for updates. If you are running WishList Member 2.7 or older and the Lost Password feature is important to you, then you will want to look into purchasing a WishList Member renewal in order to upgrade to WishList Member 2.9

http://wishlistproducts.com/renewal/

If you choose not to upgrade WishList Member from 2.7 or older, you can consider disabling the WordPress automatic update feature. But please note that this is not recommended.

WordPress has provided information on how to turn off automatic updates in their “Definitive guide to disabling auto updates in WordPress 3.7”

https://make.wordpress.org/core/2013/10/25/the-definitive-guide-to-disabling-auto-updates-in-wordpress-3-7/

We hope this helps to explain the upcoming WordPress 4.3 update and how it will affect the Lost Password functionality of your membership site.

Comments are closed.